Ryzehosting
  1. server
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. server

config

GET
server/config

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/server/config' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "uuid": "019b1fc5-83e5-81b1-9592-1537b03ad483"
}'
Response Response Example
200 - Success
{
    "response": "VM config retrieved successfully",
    "state": "success",
    "code": 200,
    "data": {
        "uuid": "019b1fc5-83e5-81b1-9592-1537b03ad483",
        "hostsystem": {
            "datacenter": {
                "name": "SkyLink Data Center BV",
                "country": "Niederlande",
                "city": "Eygelshoven"
            },
            "node": "XEON01",
            "processor": "Intel(R) Xeon(R) Prozessor E5-2697 v4",
            "memory": "HP 809085-091 Equivalent 64GB PC4-2400 LRDIMM Memory RAM",
            "disk": "Samsung MZ1L21T9HCLS-00A07 PM9A3 1.92TB PCI-E Gen4 x4 M.2 SSD"
        },
        "config": {
            "cores": "1",
            "memory": "1024",
            "disk": "10",
            "os": {
                "name": "debian10",
                "displayname": "Debian 10"
            },
            "username": "root",
            "password": "cNUuLihDgt2QW2wi",
            "hostname": "vm68156",
            "uplink": "1250",
            "ipv4": {
                "ip_address": "5.175.140.79",
                "ip_gateway": "5.175.140.1",
                "ddos_protection": "pletx",
                "rdns": "ryzehosting.com"
            },
            "ipv6": {
                "ip_address": "2a06:1283:8d00:0172::/64",
                "ip_gateway": "2a06:1283:8d00::1"
            }
        }
    }
}
Modified at 2025-12-30 03:59:32
Previous
prices
Next
renew
Built with